using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KairoEngine.Multiplayer
{
    [System.Serializable]
    public class PingData
    {
        public int clientId = -1;
        public int pingId = -1;
        public float startTime = 0f;
        public float endTime = 0f;
        public int elapsedTime() => Mathf.RoundToInt((endTime - startTime) * 1000);

        public PingData(int clientId, int pingId)
        {
            this.clientId = clientId;
            this.pingId = pingId;
        }
    }
}